
class ImpetomCElectrodeError(Exception):
    """
    Utilizar esta clase para levantar errores o excepciones con los electrodos
    """
    def __init__(self,msg,regularGanancia=False):
        """
        Constructor de la clase ImpetomCElectrodeError

        :param msg: Mesaje de error a desplegar con la excepción
        :param regularGanancia: Booleano que debe indicar True en caso de que sea un error para regular la ganancia de los electrodos. False se trata de un error de al menos un electrodo desconectado. El valor por defecto de este parámetro es False

        """
        self.regularGanancia=regularGanancia
        super().__init__(msg)

